app-id: com.aresvalley.Artemis
runtime: org.kde.Platform
runtime-version: '6.8'
sdk: org.kde.Sdk
base: io.qt.PySide.BaseApp
base-version: '6.8'

command: artemis
finish-args:
  - --share=network
  - --socket=x11
  - --socket=wayland
  - --device=dri
  - --filesystem=home
  - --filesystem=xdg-documents

build-options:
  env:
    - BASEAPP_REMOVE_WEBENGINE=1
    - BASEAPP_DISABLE_NUMPY=1

cleanup-commands:
  - /app/cleanup-BaseApp.sh

modules:
  - name: artemis
    buildsystem: simple
    build-commands:
      - pip3 install . --prefix=/app
    sources:
      - type: git
        url: https://github.com/AresValley/Artemis.git
        branch: flatpak  # o il tag/versione desiderata

  - name: requests
    buildsystem: simple
    build-commands:
      - pip3 install requests==2.32.3 --no-deps --prefix=/app
    sources:
      - type: archive
        url: https://files.pythonhosted.org/packages/f9/9b/335f9764261e915ed497fcdeb11df5dfd6f7bf257d4a6a2a686d80da4d54/requests-2.32.3-py3-none-any.whl
        sha256: 70761cfe03c773ceb22aa2f671b4757976145175cdfca038c02654d061d6dcc6

  - name: packaging
    buildsystem: simple
    build-commands:
      - pip3 install packaging==24.1 --no-deps --prefix=/app
    sources:
      - type: archive
        url: https://files.pythonhosted.org/packages/08/aa/cc0199a5f0ad350994d660967a8efb233fe0416e4639146c089643407ce6/packaging-24.1-py3-none-any.whl
        sha256: 5b8f2217dbdbd2f7f384c41c628544e6d52f2d0f53c6d0c3ea61aa5d1d7ff124
